| Home | Libraries | People | FAQ | More

## Struct template mem_ptr

boost::proto::mem_ptr

## Synopsis

    template<typename T, typename U>
    struct mem_ptr :  proto::transform< mem_ptr<T, U> > {
      // types
      typedef proto::expr< proto::tag::mem_ptr, proto::list2< T, U > > type;
      typedef type                                                     proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<mem_ptr>::template impl<Expr, State, Data>
      {
      };
    };

## Description